Chapter 2. Feature Reference
Prev |  | Next

# Chapter 2. Feature Reference

## Command Line Options

### Useful JVM Arguments

The amount of memory can be specified using the standard arguments to the jvm, i.e. for 500 MB, use java -jar -Xmx500m TreeView.jar

Be aware that for windows, you may need to use javaw instead of java.

### Main Program options

The main program options have a short and long form. An example command line to open a specified file using the "linked view" style would be java -Xmx500m -jar TreeView.jar -r http://jtreeview.sourceforge.net/examples/DLim_color.cdt

Main Program options

-r <file/url> (--resource=<file/url>)

  File or url to load.

-t <type> (--type=<type>)

  Open file with the specified type of viewer. Valid values are "linked" for multiple linked view (by default only dendrogram opens on new files), "kmeans" for k-means, "classic" for the classic, dendrogram only, and "auto" to autodetect (default)

-x <plugin> (--export=<plugin>

  Export image from command line using the specified plugin instead of opening an interactive window. This argument requires that a resource to export is specified on the command line as well. Currently only the "Dendrogram" plugin is specified.

### Dendrogram export options

When export to dendrogram is indicated using "-x Dendrogram", main program arguments can be terminated with "--" and additional dendrogram plugin arguments can be specified. An example complete command line would be:

java -jar TreeView.jar -r ./spellman.cdt -x Dendrogram -- -o /tmp/spellman.png -s 10x1 -a 0 -c 1

Dendrogram export options

-o <filename> (--output=<filename>)

  (required) Filename to store image output in

-f <imageFormat> (--=<format>)

  (optional) set output format, either 'png', 'gif' or 'ps' (defaults to extension of output file)

-s <widthxheight> (--scaling=<widthxheight>)

  (optional) set pixel scaling as pixels for each array x pixels for each gene, or 1x10 for one pixel per array column and 10 pixels for each gene row, if you wanted to have gene names in the output

-a <headerIndexes> (--arrayHeaders=<headerIndexes>)

  (optional) Comma separated list of array annotations to include in output. Example: -a 0 to include the first row of array annotations in the cdt file. By default no annotations are included.

-g <headerIndexes> (--geneHeaders=<headerIndexes>)

  (optional) Comma separated list of gene annotations to include in output. Example: -g 0 to include the first column of array annotations in the cdt file. By default no annotations are included.

-h <pixels> (--atrHeight=<pixels>)

  (optional) Explicitly set the height of the array tree.

-w <pixels> (--gtrWidth=<pixels>)

  (optional) Explicitly set the width of the gene tree.

-b (--below)

  (optional) boolean argument, moves the array annotations below the array tree

-c <value> (--contrast=<value>)

  (optional) Explicitly set the contrast

-l <value> (--logcenter=<center>)

  (optional) Take log base 2(data value/<center>) before applying the contrast. Useful if dealing with raw count data.

Note: Setting the contrast or logcenter values will modify the .jtv file and have a persistent effect when the file is reopened in java treeview

For operating systems which have a command line, a file or url can be specified. The following example demonstrates how to load the example off the website from the command line: java -jar TreeView.jar -r http://jtreeview.sourceforge.net/examples/DLim_color.cdt

Prev |  | Next
Overview of Java TreeView | Home | Persistence